# -*- mode: dockerfile -*-
# docker build -t pashinin/rust-debug:2020-09-28 -f Dockerfile-debug .

FROM rust:1.47.0-slim
RUN apt-get update && apt-get install -y pkg-config libssl-dev

WORKDIR /usr/src

# Create blank project
RUN USER=root cargo new app

# We want dependencies cached, so copy those first.
COPY Cargo.toml Cargo.lock src /usr/src/app/

WORKDIR /usr/src/app

# This is a dummy build to get the dependencies cached.
RUN cargo build && cargo test && rm -f /usr/src/app/target/debug/app
RUN rm /usr/src/app/target/debug/deps/app-*
RUN rm src/*.rs
